org.apache.lucene.search.vectorhighlight

## Class BaseFragListBuilder

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.BaseFragListBuilder

- All Implemented Interfaces:
    FragListBuilder
  Direct Known Subclasses:
    SimpleFragListBuilder, WeightedFragListBuilder

      public abstract class BaseFragListBuilder
      extends Object
      implements FragListBuilder

  A abstract implementation of `FragListBuilder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MARGIN_DEFAULT`
    `static int` | `MIN_FRAG_CHAR_SIZE_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFragListBuilder()`
    `BaseFragListBuilder(int margin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, FieldFragList fieldFragList, int fragCharSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.search.vectorhighlight.FragListBuilder

      `createFieldFragList`

- - ### Field Detail

    - #### MARGIN_DEFAULT

          public static final int MARGIN_DEFAULT

      See Also:
        Constant Field Values

    - #### MIN_FRAG_CHAR_SIZE_FACTOR

          public static final int MIN_FRAG_CHAR_SIZE_FACTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BaseFragListBuilder

          public BaseFragListBuilder(int margin)

    - #### BaseFragListBuilder

          public BaseFragListBuilder()

  - ### Method Detail

    - #### createFieldFragList

          protected FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                          FieldFragList fieldFragList,
                                          int fragCharSize)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.